FreeMat

- Main Page
- Related Pages

vtkTableReader

Section: Visualization Toolkit IO Classes

# Usage

vtkTableReader is a source object that reads ASCII or binary vtkTable data files in vtk format. (see text for format details). The output of this reader is a single vtkTable data object. The superclass of this class, vtkDataReader, provides many methods for controlling the reading of the data file, see vtkDataReader for more information.

To create an instance of class vtkTableReader, simply invoke its constructor as follows

      obj = vtkTableReader

# Methods

The class vtkTableReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTableReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTableReader = obj.NewInstance ()`
- `vtkTableReader = obj.SafeDownCast (vtkObject o)`
- `vtkTable = obj.GetOutput ()` - Get the output of this reader.
- `vtkTable = obj.GetOutput (int idx)` - Get the output of this reader.
- `obj.SetOutput (vtkTable output)` - Get the output of this reader.